/* Tema padrão (Default Blue) */
:root {
  --body-color1: hsl(210, 10%, 90%);
  --body-color2: hsl(210, 10%, 75%);
  --text-color: #000;
  --screen-bg-color: #000;
  --screen-text-color: #0ef;
  --screen-text-active: #000;
  --screen-text-glow: #05f;
  --screen-text-glow-alpha: #05f6;
  --3d-white: #fff9;
  --3d-black: #0006;
  --slider-bg: linear-gradient(to bottom, #000, #0006);
  --seeker-fill: linear-gradient(to bottom, var(--screen-text-color), var(--screen-text-glow));
}

body {
  margin: 0;
  width: 640px;
  height: 270px;
}

.container {
  width: 100%;
  height: 100%;
  color: var(--text-color);
  background-image: linear-gradient(to right, var(--body-color2), var(--body-color1), var(--body-color2));
  background-size: 100% 100%;
  box-shadow: inset var(--3d-white) 2px 2px 0, inset var(--3d-black) -2px -2px 0;
  padding: 10px;
  box-sizing: border-box;
}

.title {
  text-align: center;
  font-weight: bold;
  font-family: "Bruno Ace", Verdana, sans-serif;
  font-size: 12pt;
}

.inset {
  border-style: solid;
  border-width: 2px;
  border-top-color: var(--3d-black);
  border-left-color: var(--3d-black);
  border-right-color: var(--3d-white);
  border-bottom-color: var(--3d-white);
  overflow: hidden;
}

@font-face {
  font-family: DS-Digi;
  src: url("/assets/fonts/DS-DIGII.TTF");
}

.display {
  background: var(--screen-bg-color);
  font-family: DS-Digi, monospace;
  font-size: 16pt;
  letter-spacing: 2px;
  color: var(--screen-text-color);
  text-shadow: var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px;
  padding: 3px;
  width: 100%;
  box-sizing: border-box;
  overflow: hidden;
  white-space: nowrap;
}

#status {
  display: inline-block;
  width: 8ch;
  text-align: left;
}

#current-time {
  display: inline-block;
  width: 5ch;
  text-align: light;
}

.visualizer {
  background: var(--screen-bg-color);
  width: 100%;
  height: 100px;
  box-sizing: border-box;
}

#visualizer-canvas {
  width: 100%;
  height: 100%;
  display: block;
}

#viz-prev, #viz-next {
  width: 20px;
  height: 100%;
  font-size: 8pt;
}

.playlist {
  background: var(--screen-bg-color);
  font-family: "MS UI Gothic", sans-serif;
  font-size: 10pt;
  color: var(--screen-text-color);
  text-shadow: var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px;
  padding: 3px;
  width: 100%;
  height: 100%;
  max-height: 156px;
  box-sizing: border-box;
  overflow-x: hidden;
  overflow-y: scroll;
  white-space: nowrap;
  line-height: 120%;
  scrollbar-width: thin;
  scrollbar-color: var(--screen-text-color) #000;
  cursor: default;
  font-weight: bold;
}

.playlist-item:hover {
  background: var(--screen-text-glow-alpha);
}

.playlist-item.active {
  background: var(--screen-text-color);
  color: var(--screen-text-active);
  text-shadow: none;
}

.seeker-wrap {
  position: relative;
  display: flex;
  align-items: center;
  cursor: pointer;
  padding: 5px 0;
  margin: 5px 0;
}

.seeker {
  position: relative;
  width: 100%;
  height: 5px;
  background: var(--slider-bg);
  border-radius: 10px;
}

.seeker-fill {
  position: absolute;
  height: 100%;
  width: 0%;
  background: var(--seeker-fill);
  box-shadow: 0 0 10px var(--screen-text-glow);
  border-radius: 10px;
}

.seeker-thumb {
  position: absolute;
  top: calc(50% - 1%);
  left: 0%;
  transform: translate(-50%, -50%);
  width: 20px;
  height: 10px;
  background: white;
  border-radius: 10px;
  box-shadow: 0 0 5px var(--screen-text-color);
  pointer-events: none;
  opacity: 0;
}

.controls-grid {
  display: grid;
  grid-template-columns: repeat(5, min-content);
  gap: 10px;
  justify-content: center;
  align-items: center;
}

.slider {
  -webkit-appearance: none;
  appearance: none;
  height: 5px;
  background: var(--slider-bg);
  border: inset 1px var(--body-color1);
  border-radius: 10px;
  margin: 10px 0;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  background: linear-gradient(var(--body-color1), var(--body-color2));
  border: solid 1px #000;
  box-shadow: #0008 2px 2px 4px, inset var(--3d-white) 1px 1px 0, inset var(--3d-black) -1px -1px 0;
  width: 20px;
  height: 15px;
  border-radius: 3px;
}

.slider::-moz-range-thumb {
  background: linear-gradient(var(--body-color1), var(--body-color2));
  border: solid 1px #000;
  box-shadow: #0008 2px 2px 4px, inset var(--3d-white) 1px 1px 0, inset var(--3d-black) -1px -1px 0;
  width: 20px;
  height: 15px;
  border-radius: 3px;
}

button {
  color: var(--text-color);
  background: linear-gradient(to bottom, var(--body-color1), var(--body-color2));
  border: solid 1px #000;
  border-radius: 2px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: #0008 2px 2px 4px, inset var(--3d-white) 1px 1px 0, inset var(--3d-black) -1px -1px 0;
  white-space: pre;
  font-family: 'Segoe UI', sans-serif;
  font-size: 12pt;
}

button:active, .mute.active {
  background: linear-gradient(to top, var(--body-color1), var(--body-color2));
  box-shadow: #0008 2px 2px 4px inset;
}

.main-button {
  width: 50px;
  height: 30px;
}

.main-button+.main-button {
  margin-left: -1px;
}

#shuffle {
  width: 100px;
  height: 30px;
}

.mute {
  width: 30px;
  height: 30px;
  border-radius: 50%;
}

#volume {
  width: 100px;
}

select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  font-family: "MS UI Gothic", sans-serif;
  font-size: 12pt;
  background: var(--screen-bg-color);
  color: var(--screen-text-color);
  text-shadow: var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px;
  padding: 3px;
  border: none;
  width: 125px;
  height: 25px;
  border-radius: 0;
  font-weight: 600;
}

option {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  font-family: "MS UI Gothic", sans-serif;
  font-size: 12pt;
  background: var(--screen-bg-color);
  color: var(--screen-text-color);
  text-shadow: var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px;
  border: 1px solid var(--screen-text-color);
  font-weight: 600;
}

.select-wrap {
  position: relative;
  display: inline-block;
}

.select-wrap::after {
  content: "▼";
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 8pt;
  font-weight: bold;
  color: var(--screen-text-color);
  text-shadow: var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px, var(--screen-text-glow) 0 0 5px;
  pointer-events: none;
}